Subject: Ticket Assigned - Still waiting for refund from Splash
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 09 Apr 2023 05:23:25 +0000

Hi Reena kumari,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Still waiting for refund from Splash To whom it may concern,

I'm still waiting for my refund since January. It's been so long, and I
still haven't received my refund from Splash; this is ridiculous. Can you
please update me on the status of my refund? Because this is getting
irritating and not to mention I have paid a considerable sum of money that
I need to get refunded! Why is this taking so long? Your warehouse process
cannot be so long, right? Otherwise, I may have to contact consumer rights
Dubai. I need an email ASAP explaining my refund because this is getting
annoying, and I'm sick and tired of waiting. Please, if you can, help me
out. I'm your valued customer and have been shopping with you for quite
some time, but somehow had to shop online due to commuting issues and a big
mistake since the refund process is taking so long! If you do not wish to
lose customers, please help me!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/6019679